def convert(value, row):
    """The ORI is a nine-character identifier. The ORI is invalid if:          
      
      A) It is less than (or more than) 9 characters in length.
      B) Any characters are other than letters or numbers (e.g., special characters, punctuation).
      C) All characters are numbers.
      D) The first two characters are NOT both letters or 0H, 0K, 0R, C0, M0.
    """
    ori = row['corix']
    if ori:
        ori_2d = ori[:2]
        
        if len(ori) != 9 or not ori.isalnum() or ori.isdigit() or ori_2d[0].isdigit() or ori_2d[1].isdigit() or ori_2d in ['0H', '0K', '0R', 'C0', 'M0']:
            return True
        else:
            return False
    else:
        return True